at.chipkarte.client.elgaad.soap

## Class Author

- Object
- - at.chipkarte.client.elgaad.soap.Author

-     public class Author
      extends Object

  Daten zum Author.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob der Author zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Author()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AufzeichnendesGeraet` | `getAufzeichnendesGeraet()` Aufzeichnendes Gerät (im Falle einer maschinellen Erfassung).
    `Organization` | `getAuthorInstitution()` Daten zur Institution des Autors.
    `AuthorPerson` | `getAuthorPerson()` Daten zur Person des Autors.
    `void` | `setAufzeichnendesGeraet(AufzeichnendesGeraet _aufzeichnendesGeraet)`
    `void` | `setAuthorInstitution(Organization authorInstitution)`
    `void` | `setAuthorPerson(AuthorPerson authorPerson)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Author

          public Author()

  - ### Method Detail

    - #### getAuthorPerson

          public AuthorPerson getAuthorPerson()

      Daten zur Person des Autors. Siehe `AuthorPerson`.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiterdaten des Dialogaufbaus und Vertragspartnerdaten).
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiterdaten des Dialogaufbaus und Vertragspartnerdaten).
      Ausgabebedingung: Muss.
      Returns:
        Author-Person.

    - #### setAuthorPerson

          public void setAuthorPerson(AuthorPerson authorPerson)

    - #### getAuthorInstitution

          public Organization getAuthorInstitution()

      Daten zur Institution des Autors. Siehe `Organization`.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (Ordinationsdaten der angemeldeten Ordination).
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (Ordinationsdaten der angemeldeten Ordination).
      Ausgabebedingung: Muss.
      Returns:
        Author-Institution.

    - #### setAuthorInstitution

          public void setAuthorInstitution(Organization authorInstitution)

    - #### getAufzeichnendesGeraet

          public AufzeichnendesGeraet getAufzeichnendesGeraet()

      Aufzeichnendes Gerät (im Falle einer maschinellen Erfassung). Es soll die zu erstellende Software hinterlegt werden. Siehe `AufzeichnendesGeraet`.
      Angabe: Muss.
      Returns:
        Aufzeichnendes Gerät.

    - #### setAufzeichnendesGeraet

          public void setAufzeichnendesGeraet(AufzeichnendesGeraet _aufzeichnendesGeraet)